import type { Container } from '@microsoft/fast-foundation';
export declare const baseComponents: {
    designSystemProvider: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    }, typeof import("./design-system-provider").DesignSystemProvider>;
    alphaAccordion: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/accordion/accordion").Accordion>;
    alphaAccordionItem: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").AccordionItemOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    alphaActionsMenu: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/actions-menu/actions-menu").ActionsMenu>;
    alphaAnchor: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/anchor/anchor").Anchor>;
    alphaAnchoredRegion: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/anchored-region/anchored-region").AnchoredRegion>;
    alphaAvatar: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/avatar/avatar").Avatar>;
    alphaBadge: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/badge/badge").Badge>;
    alphaBanner: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/banner/banner").Banner, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/banner/banner").Banner>;
    alphaBreadcrumb: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/breadcrumb/breadcrumb").Breadcrumb>;
    alphaBreadcrumbItem: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").BreadcrumbItemOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    alphaButton: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/button/button").Button>;
    alphaCalendar: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").CalendarOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    alphaCard: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/card/card").Card>;
    alphaCategorizedMultiselect: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/categorized-multiselect/categorized-multiselect").CategorizedMultiselect, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/categorized-multiselect/categorized-multiselect").CategorizedMultiselect>;
    alphaCheckbox: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").CheckboxOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    alphaCombobox: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").ComboboxOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    alphaConnectionIndicator: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/connection-indicator/connection-indicator").ConnectionIndicator>;
    alphaDataGrid: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/data-grid/data-grid").DataGrid>;
    alphaDataGridCell: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/data-grid-cell/data-grid.cell").DataGridCell>;
    alphaDataGridRow: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/data-grid-row/data-grid.row").DataGridRow>;
    alphaDatePicker: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/date-picker/date-picker").DatePicker, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/date-picker/date-picker").DatePicker>;
    alphaDialog: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/dialog/dialog").Dialog, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/dialog/dialog").Dialog>;
    alphaDisclosure: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/disclosure/disclosure").Disclosure>;
    alphaDivider: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/divider/divider").Divider>;
    alphaDropdownMenu: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/dropdown-menu/dropdown-menu").DropdownMenu>;
    alphaErrorBanner: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/error-banner/error-banner").ErrorBanner, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/error-banner/error-banner").ErrorBanner>;
    alphaErrorBoundary: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/error-boundary/error-boundary").ErrorBoundary, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/error-boundary/error-boundary").ErrorBoundary>;
    alphaErrorDialog: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/error-dialog/error-dialog").ErrorDialog, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/error-dialog/error-dialog").ErrorDialog>;
    alphaFileUpload: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/file-upload/file-upload").FileUpload, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/file-upload/file-upload").FileUpload>;
    alphaFilter: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/filter/filter").Filter, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/filter/filter").Filter>;
    alphaFilterBar: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/filter-bar/filter-bar").FilterBar>;
    alphaFlexLayout: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/flex-layout/flex-layout").FlexLayout, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/flex-layout/flex-layout").FlexLayout>;
    alphaFlipper: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FlipperOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    alphaFlyout: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/flyout/flyout").Flyout, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/flyout/flyout").Flyout>;
    alphaGridLayout: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/grid-layout/grid-layout").GridLayout, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/grid-layout/grid-layout").GridLayout>;
    alphaGridLayoutItem: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/grid-layout-item/grid-layout-item").GridLayoutItem, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/grid-layout-item/grid-layout-item").GridLayoutItem>;
    alphaHorizontalScroll: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").HorizontalScrollOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    alphaIcon: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/icon/icon").Icon>;
    alphaListbox: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/listbox/listbox").Listbox>;
    alphaListboxOption: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/listbox-option/listbox-option").ListboxOption>;
    alphaMenu: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/menu/menu").Menu>;
    alphaMenuItem: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").MenuItemOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    alphaModal: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/modal/modal").Modal, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/modal/modal").Modal>;
    alphaMultiselect: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/multiselect/multiselect").Multiselect, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/multiselect/multiselect").Multiselect>;
    alphaNumberField: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").NumberFieldOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    alphaPicker: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-foundation").FoundationElementTemplate<import("@microsoft/fast-element").ViewTemplate<import("@microsoft/fast-foundation").Picker, any>, import("@microsoft/fast-foundation").FoundationElementDefinition>;
        styles: import("@microsoft/fast-foundation").FoundationElementTemplate<import("@microsoft/fast-element").ElementStyles, import("@microsoft/fast-foundation").FoundationElementDefinition>;
        shadowOptions: {};
    }, typeof import("@microsoft/fast-foundation").Picker>;
    alphaProgress: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").ProgressOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    alphaProgressRing: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").ProgressRingOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    alphaRadio: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").RadioOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    alphaRadioGroup: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/radio-group/radio-group").RadioGroup>;
    alphaSearch: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        baseClass: typeof import("@microsoft/fast-foundation").Search;
        template: import("@microsoft/fast-foundation").FoundationElementTemplate<import("@microsoft/fast-element").ViewTemplate<import("@microsoft/fast-foundation").Search, any>, import("@microsoft/fast-foundation").SearchOptions>;
        styles: import("@microsoft/fast-foundation").FoundationElementTemplate<import("@microsoft/fast-element").ElementStyles, import("@microsoft/fast-foundation").TextFieldOptions>;
        shadowOptions: {
            delegatesFocus: true;
        };
    }, typeof import("@microsoft/fast-components").Search>;
    alphaSearchBar: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/search-bar/search-bar").SearchBar, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/search-bar/search-bar").SearchBar>;
    alphaSearchBarCombobox: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/search-bar/search-bar-combobox").SearchBarCombobox>;
    alphaSegmentedControl: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/segmented-control/segmented-control").SegmentedControl>;
    alphaSegmentedItem: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").RadioOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    alphaSelect: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").SelectOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    alphaSkeleton: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/skeleton/skeleton").Skeleton>;
    alphaSlider: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").SliderOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    alphaSliderLabel: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/slider-label/slider-label").SliderLabel>;
    alphaSnackbar: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/snackbar/snackbar").Snackbar, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/snackbar/snackbar").Snackbar>;
    alphaStackingIcons: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/stacking-icons/stacking-icons").StackingIcons>;
    alphaStepper: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/stepper/stepper").Stepper, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/stepper/stepper").Stepper>;
    alphaStepperTab: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/stepper-tab/stepper-tab").StepperTab>;
    alphaStepperTabPanel: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-foundation").FoundationElementTemplate<import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/stepper-tab-panel/stepper-tab-panel").StepperTabPanel, any>, import("@microsoft/fast-foundation").FoundationElementDefinition>;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/stepper-tab-panel/stepper-tab-panel").StepperTabPanel>;
    alphaSwitch: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").SwitchOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    alphaTab: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/tab/tab").Tab>;
    alphaTabPanel: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/tab-panel/tab-panel").TabPanel>;
    alphaTabs: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/tabs/tabs").Tabs>;
    alphaTextArea: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/text-area/text-area").TextArea>;
    alphaTextField: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/text-field/text-field").TextField>;
    alphaToast: () => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/foundation-ui/dist/dts/toast/toast").Toast, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("@genesislcap/foundation-ui/dist/dts/toast/toast").Toast>;
    alphaToolbar: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/toolbar/toolbar").Toolbar>;
    alphaTooltip: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/tooltip/tooltip").Tooltip>;
    alphaTreeItem: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").TreeItemOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    alphaTreeView: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/tree-view/tree-view").TreeView>;
    alphaUrlInput: () => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("@genesislcap/foundation-ui/dist/dts/url-input/url-input").UrlInput>;
    register(container?: Container, ...rest: any[]): void;
};
//# sourceMappingURL=base-components.d.ts.map